Skip to main content
PATCH
Enable or disable an extension for a Neki shard configuration profile

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

configuration_profile
string
required

Name from list_shard_configuration_profiles.

extension
string
required

The name of the extension

Body

application/json
enabled
boolean
required

Whether the extension should be enabled

Response

Returns the updated extension

name
string
required

The name of the extension

can_enable
boolean
required

Whether the extension can be enabled or disabled by the configuration profile

description
string
required

The description of the extension

internal
boolean
required

The internal state of the extension

parameters
object[]
required
url
string
required

The URL of the extension

enabled
boolean | null

Whether the extension is enabled by the configuration profile